import { Request, Response } from 'express';
import {oauth2, scope} from '../../utils/auth'
import axios from "axios";


const complete = () => async (req: Request, res: Response) => { 
    const tokenConfig = {
        code: req.query.code,
        scope: scope,
        redirect_uri: ""
    };
    
    try {
        const result = await oauth2().authorizationCode.getToken(tokenConfig);
        const token = oauth2().accessToken.create(result);
        await axios.get(`https://auth.sch.bme.hu/api/profile/?access_token=${token.token.access_token}`)
            .then( (response) =>  {
                req.session!.user = response.data;
             })
            .catch(function (error) {
                console.log(error);
            });
        res.redirect('/');
    } catch (error) {
        console.log('Access Token Error', error.message);   
    }
};

export default complete;